[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: seg faults with 2.12 slapd and GSSAPI bind

* Howard Chu <hyc@highlandsun.com> [030227 15:37]:
> Time and again we advise that the MIT Kerberos 5 libraries are not usable
> with SASL and OpenLDAP. You should not be surprised that ignoring that advice
> causes problems. Nor should you have to scratch your head too hard thinking
> about any solutions. Use Heimdal.

OK, I'm already working on a build of heimdal and a rebuild of sasl.

In retrospect I did spot:

    How can OpenLDAP, Cyrus-SASL, OpenSSL and KerberosV be combined?

For what it's worth.  Compiling OpenLDAP with and without threads made
no difference.

I'll shut up now.

Ben Poliakoff                                       email: <benp@reed.edu>
Reed College                                          tel:  (503)-788-6674
Unix System Administrator      PGP key: http://www.reed.edu/~benp/key.html
0x6AF52019 fingerprint = A131 F813 7A0F C5B7 E74D  C972 9118 A94D 6AF5 2019